org.gdal.gnm

## Class GenericNetwork

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gnm.Network
    - - org.gdal.gnm.GenericNetwork

-     public class GenericNetwork
      extends Network

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `ChangeAllBlockState()`
    `int` | `ChangeAllBlockState(boolean bIsBlock)`
    `int` | `ChangeBlockState(long nFID, boolean bIsBlock)`
    `int` | `ConnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)`
    `int` | `ConnectPointsByLines(Vector papszLayerList, double dfTolerance, double dfCost, double dfInvCost, int eDir)`
    `int` | `CreateRule(String pszRuleStr)`
    `void` | `delete()`
    `int` | `DeleteAllRules()`
    `int` | `DeleteRule(String pszRuleStr)`
    `int` | `DisconnectFeatures(long nSrcFID, long nTgtFID, long nConFID)`
    `int` | `DisconnectFeaturesWithId(long nFID)`
    `boolean` | `equals(Object obj)`
    `Vector` | `GetRules()`
    `int` | `hashCode()`
    `int` | `ReconnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)`

    - ### Methods inherited from class org.gdal.gnm.Network

      `CommitTransaction, CopyLayer, CopyLayer, CreateLayer, CreateLayer, CreateLayer, CreateLayer, DeleteLayer, DisconnectAll, GetFeatureByGlobalFID, GetFileList, GetLayerByIndex, GetLayerByName, GetLayerCount, GetName, GetPath, GetPath, GetProjection, GetProjectionRef, GetVersion, RollbackTransaction, StartTransaction, StartTransaction, TestCapability`

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `Network`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Network`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Network`

    - #### ConnectFeatures

          public int ConnectFeatures(long nSrcFID,
                                     long nTgtFID,
                                     long nConFID,
                                     double dfCost,
                                     double dfInvCost,
                                     int eDir)

    - #### DisconnectFeatures

          public int DisconnectFeatures(long nSrcFID,
                                        long nTgtFID,
                                        long nConFID)

    - #### DisconnectFeaturesWithId

          public int DisconnectFeaturesWithId(long nFID)

    - #### ReconnectFeatures

          public int ReconnectFeatures(long nSrcFID,
                                       long nTgtFID,
                                       long nConFID,
                                       double dfCost,
                                       double dfInvCost,
                                       int eDir)

    - #### CreateRule

          public int CreateRule(String pszRuleStr)

    - #### DeleteAllRules

          public int DeleteAllRules()

    - #### DeleteRule

          public int DeleteRule(String pszRuleStr)

    - #### GetRules

          public Vector GetRules()

    - #### ConnectPointsByLines

          public int ConnectPointsByLines(Vector papszLayerList,
                                          double dfTolerance,
                                          double dfCost,
                                          double dfInvCost,
                                          int eDir)

    - #### ChangeBlockState

          public int ChangeBlockState(long nFID,
                                      boolean bIsBlock)

    - #### ChangeAllBlockState

          public int ChangeAllBlockState(boolean bIsBlock)

    - #### ChangeAllBlockState

          public int ChangeAllBlockState()